## ros-galactic-ros2cli 0.13.5

=== debian/changelog ===
ros-galactic-ros2cli (0.13.5-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-ros2cli (0.13.4-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 30 Jun 2022 07:00:00 -0000

ros-galactic-ros2cli (0.13.3-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-ros2cli (0.13.2-1focal) focal; urgency=high

  * Add changelog. (#636 <https://github.com/ros2/ros2cli/issues/636>)
  * Contributors: Ivan Santiago Paunovic

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 07 May 2021 07:00:00 -0000

ros-galactic-ros2cli (0.13.1-1focal) focal; urgency=high

  * Ensure only one daemon can run at a time. (#622 <https://github.com/ros2/ros2cli/issues/622>)
  * Contributors: Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-galactic-ros2cli (0.13.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-ros2cli (0.12.0-1focal) focal; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add option to support use_sim_time. (#581 <https://github.com/ros2/ros2cli/issues/581>)
  * Bugfix for #563 <https://github.com/ros2/ros2cli/issues/563>. (#570 <https://github.com/ros2/ros2cli/issues/570>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang, Daisuke Sato, Tomoya Fujita

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 02 Mar 2021 08:00:00 -0000

ros-galactic-ros2cli (0.11.0-1focal) focal; urgency=high

  * Support Python 3.8-provided importlib.metadata. (#585 <https://github.com/ros2/ros2cli/issues/585>)
  * Contributors: Scott K Logan

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-ros2cli (0.10.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-ros2cli (0.10.0-1focal) focal; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Added dependency to python3-argcomplete to ros2cli. (#564 <https://github.com/ros2/ros2cli/issues/564>)
  * Remove use of pkg_resources from ros2cli. (#537 <https://github.com/ros2/ros2cli/pull/537>)
  * Contributors: Chris Lalancette, Claire Wang, Yoan Mollard

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-galactic-ros2cli (0.9.5-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-ros2cli (0.9.4-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-ros2cli (0.9.3-1focal) focal; urgency=high

  * Fix new flake8 errors. (#509 <https://github.com/ros2/ros2cli/issues/509>)
  * Improve NodeStrategy to use the right node seamlessly. (#499 <https://github.com/ros2/ros2cli/issues/499>)
  * Contributors: Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-galactic-ros2cli (0.9.2-1focal) focal; urgency=high

  * Make test_daemon.py robust to discovery latency. (#504 <https://github.com/ros2/ros2cli/issues/504>)
  * Contributors: Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-galactic-ros2cli (0.9.1-1focal) focal; urgency=high

  * Add support for get_node_names_and_namespaces_with_enclaves. (#501 <https://github.com/ros2/ros2cli/issues/501>)
  * Contributors: Mikael Arguedas

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 06 May 2020 07:00:00 -0000

ros-galactic-ros2cli (0.9.0-1focal) focal; urgency=high

  * Extend CLI daemon's API. (#493 <https://github.com/ros2/ros2cli/issues/493>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Use f-string. (#448 <https://github.com/ros2/ros2cli/issues/448>)
    * Use f-string
    * Remove unused variable
  * Override parse_known_args for completion to work with partial argparse tree. (#446 <https://github.com/ros2/ros2cli/issues/446>)
    * Override parse_known_args for completion to work with partial argparse tree
    * Fix completion of partial first level command
    * Fix spelling in comment
  * Avoid passing None to rclpy.init. (#433 <https://github.com/ros2/ros2cli/issues/433>)
    Otherwise, all CLI arguments will be parsed as ROS arguments, which can lead
    to rcl warnings or incorrect legacy remapping behavior.
    This change does not pass arguments to rclpy.init from any of the CLI
    tools, but it leaves the opportunity to do so in the future by setting the
    parser argument 'argv'. For example, we could take the remaining arguments
    and pass them to rclpy.init, similar to what is done in ros2run:
    https://github.com/ros2/ros2cli/blob/4c5d9327026ecb2ea10a16b3429908b4f6f64ca6/ros2run/ros2run/command/run.py#L51-L53
    Fixes #336 <https://github.com/ros2/ros2cli/issues/336>.
  * Fix linter warning about bad quotes. (#438 <https://github.com/ros2/ros2cli/issues/438>)
  * Pass argv to CommandExtension.add_arguments if available. (#437 <https://github.com/ros2/ros2cli/issues/437>)
  * Only load required entry points which improves the performance. (#436 <https://github.com/ros2/ros2cli/issues/436>)
    * Extend API to exclude extensions from loading
    * Add add_subparsers_on_demand() function
    * Update all extensions to use the new API
    * Deprecate old API, add deprecation warnings
  * Extend CLI daemon based features. (#420 <https://github.com/ros2/ros2cli/issues/420>)
    * Extend CLI daemon ROS graph API support.
    * Add --no-daemon option for strategy nodes.
    * Drop redundant default for --no-daemon.
    * Make ROS graph API support complete.
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo


